Bug 1417634 - Kickstart: Don't suggest typing password to command line, use standard input instead
Summary: Kickstart: Don't suggest typing password to command line, use standard input ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Installation_Guide
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Clayton Spicer
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 13:27 UTC by David Jaša
Modified: 2019-03-06 01:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-10 18:33:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Jaša 2017-01-30 13:27:40 UTC
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Installation_Guide/sect-kickstart-syntax.html

Section Number and Name: 
23.3.2. Kickstart Commands and Options

Describe the issue: 
when describing --iscrypted option, this piece of code is suggested to get the password hash:
$ python -c 'import crypt; print(crypt.crypt("My Password"))'
The issue with this code is that the "My Password" string will be recorded in bash history.

Suggestions for improvement: 
This not-so-elegant one-liner will ask twice for password on standard input and it will print the hash only when the two passwords match, eliminating both traces of password on disk and most typos:

python -c 'import crypt,getpass;pw=getpass.getpass();print(crypt.crypt(pw) if (pw==getpass.getpass("Confirm: ")) else exit())'

Additional information:


Note You need to log in before you can comment on or make changes to this bug.